OpenapiDevice Controls
Send a device command
Sends a command to a device and returns when Ring accepts it.
Authorization
RingAccessToken AuthorizationBearer <token>
Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.
In: header
Path Parameters
device_id*integer
Format
int64Range
1 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/commands/v1/devices/1" \ -H "Content-Type: application/json" \ -d '{ "command_name": "reboot" }'Empty